NetworkLocator (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model

## Interface NetworkLocator

- All Superinterfaces:
    InterchangeObject, Locator, MediaEntity, MetadataObject
  All Known Implementing Classes:
    NetworkLocatorImpl

      public interface NetworkLocator
      extends Locator

  Specifies information to help find a file containing essence, using a uniform resource identifier (URI). The current URI specification is RFC 3986.

  See Also:
    `TextLocator`, `Locator.getPath()`, `EssenceDescriptor.getLocators()`, `PluginDefinition.getManufacturerInfo()`, `TypeDefinitions.NetworkLocatorStrongReference`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `NetworkLocator` | `clone()` Create a cloned copy of this network locator.
    `String` | `getURL()` Returns an absolute uniform resource locator (URL) complying with RFC 1738 or relative Uniform Resource Identifier (URI) complying with RFC 2396 for a file containing the essence.
    `void` | `setURL(String url)` Sets an absolute uniform resource locator (URL) complying with RFC 1738 or relative Uniform Resource Identifier (URI) complying with RFC 2396 for a file containing the essence.

    - ### Methods inherited from interface tv.amwa.maj.model.Locator

      `getPath, setPath`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### getURL

          @AAFString
          String getURL()

      Returns an absolute uniform resource locator (URL) complying with RFC 1738 or relative Uniform Resource Identifier (URI) complying with RFC 2396 for a file containing the essence. If it is a relative URI, the base URI is determined from the URI of the AAF file itself.

      Note that a valid URL or URI uses a constrained character set and uses the '`/`' character as the path separator.

      Returns:
        URL property of this locator.
      See Also:
        `Locator.getPath()`

    - #### setURL

          void setURL(@AAFString
                      String url)
               throws NullPointerException,
                      IllegalArgumentException

      Sets an absolute uniform resource locator (URL) complying with RFC 1738 or relative Uniform Resource Identifier (URI) complying with RFC 2396 for a file containing the essence. If it is a relative URI, the base URI is determined from the URI of the AAF file itself.

      Note that a valid URL or URI uses a constrained character set and uses the '`/`' character as the path separator.

      Parameters:
        `url` - URL property of this locator.
      Throws:
        `NullPointerException` - The given locator is `null` and the property is required.
        `IllegalArgumentException` - The given locator did not parse as a valid URL.

    - #### clone

          NetworkLocator clone()

      Create a cloned copy of this network locator.

      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `Locator`
      Specified by:
        `clone` in interface `MediaEntity`
      Returns:
        Cloned copy of this network locator.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.